<?php

namespace App\Modules\HtlCampLock\Application\Find;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class FindHtlCampLockQuery implements Query
{
    public function __construct(
        private int $idHtlCamp,
        private string $dateStart
    ) {}

    public function idHtlCamp(): int
    {
        return $this->idHtlCamp;
    }

    public function dateStart(): string
    {
        return $this->dateStart;
    }
}
